:root {
	--kiwi-border-color: #42fda6;
	--kiwi-background-color: #b5ffbf;
	--kiwi-background-dark-color: #8bfd99;
	--kiwi-text-color: #006361;
	--kiwi-box-shadow: rgba(0, 0, 0, 0.5) 4px 4px;

	-webkit-font-smoothing: none;
    -moz-osx-font-smoothing: grayscale;
    font-smooth: never;
	font-size: 30px;
}

*, *::before, *::after {
    box-sizing: border-box;
}

.centered {
	margin: auto;
}

body {
	margin: 50px;
	font-family: 'PixiFont', 'Rockwell', serif;
	background: repeat url("/assets/images/background.png");
	image-rendering: pixelated;
	background-size: 96px;
}

h1, h2 {
	margin-top: 10px;
	margin-bottom: 10px;
}

h1 {
	font-size: 50px;
}

h2 {
	font-size: 40px;
	width: fit-content;
	border-bottom: 2px solid var(--kiwi-border-color);
}

#title-area {
	display: flex;
	flex-direction: column;
	align-items: center;
}

#page-title {
	font-size: 64px;
	text-align: center;
	width: 100%;
	flex-grow: 1;
	margin-bottom: 0px;
	line-height: 1;
	font-family: "Billo";
}

#title-placard {
	margin-bottom: 15px;
	height: 64px;
}

.container > * {
	margin-top: 0px;
}

.container > *:last-child {
	margin-bottom: 0px;
}

.container {
	background-color: var(--kiwi-background-color);
	border: 2px solid var(--kiwi-border-color);
	padding: 30px;
	padding-top: 10px;
	box-sizing: border-box;
	box-shadow: var(--kiwi-box-shadow);
}

.fit-parent-horizontal {
	width: 100%;
}

.fit-parent-vertical {
	height: 100%;
}

.web-button {
	image-rendering: pixelated;
	width: 88px;
	height: 31px;
}

#navigation-panel {
	display: flex;
	flex-direction: column;
	background-color: var(--kiwi-background-color);
	padding: 10px;
	gap: 10px;
	box-shadow: var(--kiwi-box-shadow);
	border: 2px solid var(--kiwi-border-color);
}

.navigation-section {
	padding: 5px;
	background-color: var(--kiwi-background-dark-color);
	display: flex;
    align-items: center;
    gap: 10px;
	display: flex;
	border: 2px solid var(--kiwi-border-color);
}

#navigation-selected {
	background-color: var(--kiwi-border-color);
}

.navigation-icon {
	width: 32px;
	height: 32px;
}

.navigation-link {
	font-size: 18px;
	font-weight: bold;
}

#home-divider {
	display: flex;
	flex-direction: row;
	gap: 50px;
	align-items: flex-start;
}

#home-panel-right {
	display: flex;
    justify-content: center;
    align-items: center;
	flex: 1;
}

table th, table td {
	padding-right: 10px;
	padding-left: 10px;
	outline: 1px var(--kiwi-border-color) solid;
}

tr th {
	background-color: var(--kiwi-background-color);
}

table img {
	width: 0.8em;
	height: 0.8em;
}

@font-face {
    font-family: 'PixiFont';
    src: url('/assets/fonts/PixiFontv2.ttf') format('truetype');
}

@font-face {
    font-family: 'Billo';
    src: url('/assets/fonts/Billo.ttf') format('truetype');
}